MP4v2

Public Member Functions | List of all members
mp4v2::platform::io::CustomFileProvider Class Reference
Inheritance diagram for mp4v2::platform::io::CustomFileProvider:

## Public Member Functions
| CustomFileProvider (const MP4FileProvider &)
bool | open (const std::string &name, Mode mode)
bool | seek (Size pos)
bool | read (void *buffer, Size size, Size &nin)
bool | write (const void *buffer, Size size, Size &nout)
bool | truncate (Size size)
bool | close ()
bool | getSize (Size &nout)
virtual bool | open (const std::string &name, Mode mode)=0
virtual bool | seek (Size pos)=0
virtual bool | read (void *buffer, Size size, Size &nin)=0
virtual bool | write (const void *buffer, Size size, Size &nout)=0
virtual bool | truncate (Size size)=0
virtual bool | close ()=0
virtual bool | getSize (Size &nout)=0

## Additional Inherited Members
Public Types inherited from mp4v2::platform::io::FileProvider
enum | Mode { MODE_UNDEFINED , MODE_READ , MODE_MODIFY , MODE_CREATE }
| file operation mode flags More...
typedef int64_t | Size
| type used to represent all file sizes and offsets
Static Public Member Functions inherited from mp4v2::platform::io::FileProvider
static FileProvider & | standard ()

## Member Function Documentation

## ◆ close()

bool mp4v2::platform::io::CustomFileProvider::close | ( |  | ) |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ getSize()

bool mp4v2::platform::io::CustomFileProvider::getSize | ( | Size & | nout | ) |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ open()

bool mp4v2::platform::io::CustomFileProvider::open | ( | const std::string & | name,
|  | Mode | mode
| ) |  |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ read()

bool mp4v2::platform::io::CustomFileProvider::read | ( | void * | buffer,
|  | Size | size,
|  | Size & | nin
| ) |  |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ seek()

bool mp4v2::platform::io::CustomFileProvider::seek | ( | Size | pos | ) |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ truncate()

bool mp4v2::platform::io::CustomFileProvider::truncate | ( | Size | size | ) |
| virtual

Implements mp4v2::platform::io::FileProvider.

## ◆ write()

bool mp4v2::platform::io::CustomFileProvider::write | ( | const void * | buffer,
|  | Size | size,
|  | Size & | nout
| ) |  |
| virtual

Implements mp4v2::platform::io::FileProvider.